Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511877 - Possible Memory Leak in Refresh Worker
Summary: Possible Memory Leak in Refresh Worker
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Keenan Brock
QA Contact: Ola Pavlenko
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 10:48 UTC by Himanshu Roy
Modified: 2018-01-23 17:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-18 15:00:13 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Comment 9 dmetzger 2017-11-14 16:00:52 UTC
Suspect a contributing factor is the growth of the MIQ Server, once a worker(s) have exceeded memory threshold, resulting in large memory footprints of new workers. Data in the logs on this appliance start with the Mig Server being extremely large 1+Gb. 

To validate the current understanding / theory, can the tests be restarted and full logs captured after a few worker memory threshold exceptions have occurred? 

What is the size of the environment under management, expecting large as comments indicate 100 tenants in the environment?

Comment 12 dmetzger 2017-11-15 14:17:50 UTC
Assigning this to the Provider team to get parallel investigation. I will continue looking from the Miq Server being a possible impact to the worker size (additional data requested in https://bugzilla.redhat.com/show_bug.cgi?id=1511877#c11), and have assigned to the provider team so OpenStack dev can investigate the refresh worker itself.

Comment 16 dmetzger 2018-01-04 16:14:21 UTC
Himanshu,

Do you have a full log set from a test run showing this issue?

Was the growth in worker size shown in the attached graphs from a single worker instance or are the composed of several instances spawned over time?

Comment 17 dmetzger 2018-01-04 16:33:48 UTC
Has similar growth been seen with other providers in testing?

Comment 26 dmetzger 2018-01-18 15:00:13 UTC
Please re-open this ticket if the problem is reproduced.


Note You need to log in before you can comment on or make changes to this bug.